Search the audit log
GET
/audit-events
const url = 'https://example.com/api/v1/audit-events?outcome=SUCCESS';const options = { method: 'GET', headers: {cookie: '__Host-shardkeep_session=<__Host-shardkeep_session>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/audit-events?outcome=SUCCESS' \ --cookie __Host-shardkeep_session=<__Host-shardkeep_session>Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”actorUserId
string format: uuid
targetKind
string
targetId
string
action
string
An area (server, every server.… action) or one action (server.delete).
outcome
string
since
string format: date-time
until
string format: date-time
Only events before this time.
limit
integer
At most this many items (default 50).
cursor
string
The nextCursor of the previous page.
Responses
Section titled “Responses”Audit events, newest first.
Media typeapplication/json
object
items
required
Array<object>
object
id
required
integer format: int64
occurredAt
required
string format: date-time
actorKind
required
string
actorUserId
string format: uuid
action
required
string
targetKind
required
string
targetId
required
string
outcome
required
string
details
required
object
key
additional properties
any
nextCursor
string
Example
{ "items": [ { "actorKind": "USER", "action": "user.update", "outcome": "SUCCESS" } ]}The request is invalid.
Media typeapplication/problem+json
An RFC 9457 problem with a machine-readable code.
object
type
required
string
title
required
string
status
required
integer
detail
string
code
required
Stable machine-readable error code.
string
Example
{ "type": "about:blank", "title": "Conflict", "status": 409, "code": "conflict"}Not signed in, or the credentials are invalid.
Media typeapplication/problem+json
An RFC 9457 problem with a machine-readable code.
object
type
required
string
title
required
string
status
required
integer
detail
string
code
required
Stable machine-readable error code.
string
Example
{ "type": "about:blank", "title": "Conflict", "status": 409, "code": "conflict"}Signed in, but not allowed.
Media typeapplication/problem+json
An RFC 9457 problem with a machine-readable code.
object
type
required
string
title
required
string
status
required
integer
detail
string
code
required
Stable machine-readable error code.
string
Example
{ "type": "about:blank", "title": "Conflict", "status": 409, "code": "conflict"}Shardkeep is free software under the AGPL-3.0. Minecraft is a trademark of Mojang AB; Shardkeep is not affiliated with or endorsed by Mojang or Microsoft.